Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161893 - Bug 145666 is missing a ',' after REDIRECT_REMOTE_USER
Summary: Bug 145666 is missing a ',' after REDIRECT_REMOTE_USER
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 08:32 UTC by HSCG NOC
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-25 07:50:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:582 normal SHIPPED_LIVE Moderate: httpd security update 2005-07-25 04:00:00 UTC

Description HSCG NOC 2005-06-28 08:32:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
The patch 'httpd-2.0.46-rediruser.patch' is missing a ',' after the REDIRECT_REMOTE_USER string, which the patch adds to suexec.c, resulting in a new entry in the save_enf_lst, "REDIRECT_REMOTE_USER=REDIRECT_STATUS=". This breaks our setup, using php as cgi, which relies on the REDIRECT_STATUS variable to be correctly setup.

Version-Release number of selected component (if applicable):
httpd-2.0.46-46

How reproducible:
Always

Steps to Reproduce:
1. install httpd 2.0.46-46
2. configure apache to start php as cgi
3. php bails out because it can't find the redirect_status variable.

It can easily be shown using 'strings' on /usr/sbin/suexec. The correct version shows seperate entries for REDIRECT_REMOTE_USER and REDIRECT_STATUS. The faulty version of suexec will show a large 'REDIRECT_REMOTE_USER=REDIRECT_STATUS=' string.
  

Actual Results:  php won't run as cgi, because of the missing REDIRECT_STATUS variable

Expected Results:  REDIRECT_STATUS should be included in the environment

Additional info:

This should be fixed soon, as it probably breaks a lot of setups, by using a flawed patch.

Comment 1 Joe Orton 2005-06-28 08:40:21 UTC
Thanks for the report and analysis, and apologies for the regression.

Comment 4 Mark J. Cox 2005-07-25 07:50:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-582.html




Note You need to log in before you can comment on or make changes to this bug.